Package twisted :: Package spread :: Module util :: Class Pager

[frames | no frames]

## Class Pager

Known Subclasses:
  `FilePager`, `StringPager`

I am an object which pages out information.

Method Summary
| ``__init__`(self, collector, callback, *args, **kw)` Create a pager with a Reference to a remote collector and an optional callable to invoke upon completion.
| ``nextPage`(self)` Override this to return an object to be sent to my collector.
| ``sendNextPage`(self)` (internal) Method called by Broker.
| ``stillPaging`(self)` (internal) Method called by Broker.
| ``stopPaging`(self)` Call this when you're done paging.

Method Details

### __init__(self, collector, callback=None, *args, **kw)
(Constructor)

Create a pager with a Reference to a remote collector and an optional callable to invoke upon completion.

### nextPage(self)

Override this to return an object to be sent to my collector.

### sendNextPage(self)

(internal) Method called by Broker.

### stillPaging(self)

(internal) Method called by Broker.

### stopPaging(self)

Call this when you're done paging.

Generated by Epydoc 2.0 on Sat May 15 20:08:44 2004 | http://epydoc.sf.net